Bug 128653 - /usr/bin/startkde uses df and prevents login on AFS homedirs
/usr/bin/startkde uses df and prevents login on AFS homedirs
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2004-07-27 14:22 EDT by Brett L. Trotter
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-24 15:35:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix the issue (924 bytes, patch)
2004-07-27 14:24 EDT, Brett L. Trotter
no flags Details | Diff

  None (edit)
Description Brett L. Trotter 2004-07-27 14:22:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)

Description of problem:
In /usr/bin/startkde, df is used to check the space remaining before
letting a user log in. A problem arises when using AFS for your home
directory. df on a /afs/something path returns different values
depending on your OS (RH9/RHEL3/FC1) and smp/single processor kernel.
Single processor RHEL3 returns 1, smp RHEL3 returns a number
approximately (but varying) 1 petabyte. Other OS's and kernel modules
return 9000000. If you are on a machine that happens to return a
number larger than 1, you can log in but the space check is worthless.
 In any case, the startkde scripts needs to check if the homedir is in
AFS and use fs df instead if it is. 

I tried submitting the bug to kde, but the kde version is too old to
submit a bug, so it needs to be patched in RHEL.
Comment 1 Brett L. Trotter 2004-07-27 14:24:29 EDT
Created attachment 102230 [details]
Patch to fix the issue

This was my patch, it seems to do the trick.
Comment 2 Brett L. Trotter 2004-07-27 14:32:46 EDT

[blt@neptune blt]# uname -r

[blt@neptune blt]# df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda2              9242464   3355024   5417944  39% /
/dev/hda1                77750     18859     54877  26% /boot
none                    127508         0    127508   0% /dev/shm
AFS                          1         0         1   0% /afs

[blt@neptune blt]# fs df
Volume Name                  kbytes      used     avail %used
user.blt                    9568452    376340   9192112    4%

SMP RHEL Machine:

[blt@hv2268-07 blt]$ uname -r

[blt@hv2268-07 blt]$ df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda1             94149676   3026060  86341068   4% /
none                   1030576         0   1030576   0% /dev/shm
/dev/hda3             10080520    996540   8571912  11% /vicepa
/dev/hda5             10080488    112708   9455712   2% /vicepb
AFS                  1182591562500         0 1182591562500   0% /afs

[blt@hv2268-07 blt]$ fs df
Volume Name                  kbytes      used     avail %used
user.blt                    9568452    376340   9192112    4%

SMP RH9 Machine:

-bash-2.05b$ uname -r

-bash-2.05b$ df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda3             33863328  12586516  19556656  40% /
/dev/sda1               101089     15038     80832  16% /boot
none                   1031976         0   1031976   0% /dev/shm
AFS                    9000000         0   9000000   0% /afs

Comment 3 Ngo Than 2004-07-28 10:51:15 EDT
please don't send this patch to KDE. it's only effected in our KDE
packages. This patch was committed in our CVS. Many thanks for the patch.
Comment 4 Kostas Georgiou 2004-07-28 10:56:07 EDT
Is it likely to see the patch in the next RHEL update, i guess it's too late for U3 now.
Comment 5 Brett L. Trotter 2004-07-28 11:26:17 EDT
After looking through all of the revisions of startkde in the CVSWeb
on KDE.org, I realized this was a RedHat-ized startkde. No
communications were sent to KDE.org regarding the patch.

Thanks for fixing this, it is going to become central to our operations.

Hopefully there are no problems with the patch! As far as I can tell,
that should work everywhere, hopefully someone over there who knows
more than me reviewed it.

Thanks again!
Comment 6 Ngo Than 2004-07-28 13:19:36 EDT
yes, it's RedHat-ized startkde. please don't sent it to KDE developer.

it looks good to me.
Comment 7 Elliot Peele 2004-08-24 12:59:58 EDT
Is there any schedual as to when the next KDE errata will be released
to fix this bug?
Comment 8 Jack Neely 2004-08-24 14:57:52 EDT
This is mission critical to NCSU.  Please errata this fix.

Comment 9 Ngo Than 2004-08-24 15:35:57 EDT
yes, the kdelibs/kdebase will be released for RHEL 3 soon. It will
include this fix ;-)

Note You need to log in before you can comment on or make changes to this bug.